<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">

<head>
    <meta charset="utf-8" />
    <title>SAVE PREP for OpenRCT2</title>
    <meta name="description" content="Prepare scenario save data for inclusion in the map pool for ffa-tycoon servers" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link rel="icon"
        href="data:image/svg+xml,<svg xmlns=%22http://www.w3.org/2000/svg%22 viewBox=%220 0 100 100%22><text y=%22.9em%22 font-size=%2290%22>🏗️</text></svg>">
    <link rel="stylesheet" href="/assets/css/styles.css?v2">
    <script src="/assets/js/prep.js"></script>
</head>

<body>
    <div class="container">
        <div>
            <h1>FFA Save Prep</h1>
        </div>
        <div>
            <div class="form-grid">
                <label for="fileInput">RCT Save:</label> <input type="file" id="fileInput" />
                <label for="fundInput" title="The starting funds for the economy gamemode">Economy Funds:</label> <input type="text" id="fundInput" value="100000" />
            </div>
            <div class="align-right">
                <button type="button" id="uploadBtn">Upload</button>
            </div>
        </div>
        <div>
            <button type="button" class="buttontile" id="sandboxbtn" disabled>
                <div>Sandbox</div>
                <div class="statusicon nofile"><%- inliner('/assets/svg/nofile.svg') %></div>
                <div class="statusicon loadingspinner"><%- inliner('/assets/svg/fwheelloader.svg') %></div>
                <div class="statusicon erroricon"><%- inliner('/assets/svg/error.svg') %></div>
                <div class="statusicon parkfile"><%- inliner('/assets/svg/parkfile.svg') %></div>
            </button>
            <button type="button" class="buttontile" id="economybtn" disabled>
                <div>Economy</div>
                <div class="statusicon nofile"><%- inliner('/assets/svg/nofile.svg') %></div>
                <div class="statusicon loadingspinner"><%- inliner('/assets/svg/fwheelloader.svg') %></div>
                <div class="statusicon erroricon"><%- inliner('/assets/svg/error.svg') %></div>
                <div class="statusicon parkfile"><%- inliner('/assets/svg/parkfile.svg') %></div>
            </button>
        </div>
        <footer>
            <div id="footer">
                <a href="https://ffa-tycoon.com/">FFA Tycoon</a>
                <a href="https://gitlab.com/sanin.dev/ffa-tycoon-scenario-prep">Source</a>
                <a href="https://github.com/OpenRCT2/OpenRCT2/releases/tag/<%= version %>">Using OpenRCT2&nbsp;<%= version %></a>
            </div>
        </footer>
    </div>
</body>

</html>
